import java.io.BufferedReader;
import java.io.InputStreamReader;

import java.net.URL;
import java.net.URLConnection;


public class HttpsTest{

	public static void main(String [] args){

		//System.out.println(args[0]);
		if(args.length < 1){
			System.out.println("Usage: [https_test] <URL>");
			System.exit(1);
		}

		try{
			
			URL sandbox = new URL(args[0]);

			URLConnection c = sandbox.openConnection();

			BufferedReader in = new BufferedReader(new InputStreamReader(c.getInputStream()));

			String inputLine;
			while((inputLine = in.readLine()) != null){
			   System.out.println(inputLine);
			}

			in.close();

		}catch(Exception e){
			System.err.println(e.getMessage());
		}
	}
}
